Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.event
Class SequenceEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--uk.ac.man.bioinf.sequence.event.SequenceEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VetoableSequenceEvent

public class SequenceEvent
extends EventObject

SequenceEvent.java Instances of this class represent an event to a sequence. It includes reference to the location of the event, as well as its type. Created: Tue Feb 15 19:12:00 2000

Version:
  $Id: SequenceEvent.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SequenceEvent(Object src, int start, int length, SequenceEventType type)` Constructor to set the event source, location and type, which allows the definition of the start and end of an event.
`SequenceEvent(Object src, int location, SequenceEventType type)` Constructor to set the event source, location and type.

Method Summary
`int` | `getLength()` Returns the end location of the event.
`int` | `getStart()` Returns the start location of the event.
`SequenceEventType` | `getType()` Returns the seqyence event type.
`String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceEvent

    public SequenceEvent(Object src,
                         int location,
                         SequenceEventType type)

  Constructor to set the event source, location and type.

Parameters:
  `src` - the source of the event (i.e: the sequence)
  `location` - the location of the event
  `type` - the sequence event type

### SequenceEvent

    public SequenceEvent(Object src,
                         int start,
                         int length,
                         SequenceEventType type)

  Constructor to set the event source, location and type, which allows the definition of the start and end of an event.

Parameters:
  `src` - the source of the event (i.e: the sequence)
  `start` - the start location of the event
  `type` - the sequence event type

Method Detail

### getStart

    public int getStart()

  Returns the start location of the event.

  Returns:
    the start

### getLength

    public int getLength()

  Returns the end location of the event.

  Returns:
    the end

### getType

    public SequenceEventType getType()

  Returns the seqyence event type.

  Returns:
    the sequence event type

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD